package org.apache.commons.lang3.time;

package .tmp;

import java.util.ListIterator;
import org.apache.commons.lang3.time.FastDateParser;

class StrategyAndWidth {
  final FastDateParser.Strategy strategy;
  
  final int width;
  
  StrategyAndWidth(FastDateParser.Strategy strategy, int width) {
    this.strategy = strategy;
    this.width = width;
  }
  
  int getMaxWidth(ListIterator<StrategyAndWidth> lt) {
    if (!this.strategy.isNumber() || !lt.hasNext())
      return 0; 
    FastDateParser.Strategy nextStrategy = ((StrategyAndWidth)lt.next()).strategy;
    lt.previous();
    return nextStrategy.isNumber() ? this.width : 0;
  }
  
  public String toString() {
    return "StrategyAndWidth [strategy=" + this.strategy + ", width=" + this.width + "]";
  }
}
